---
title: Get a list of incident events
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Delivery Performance
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Get a list of incident events{% #get-a-list-of-incident-events %}

{% tab title="v2" %}

| Datadog site      | API endpoint                                            |
| ----------------- | ------------------------------------------------------- |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/dora/failures |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/dora/failures |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/dora/failures      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/dora/failures      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/dora/failures  |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/dora/failures |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/dora/failures     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/dora/failures |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/dora/failures |

### Overview

Use this API endpoint to get a list of incident events. This endpoint requires the `dora_metrics_read` permission.

### Request

#### Body Data (required)



{% tab title="Model" %}

| Parent field | Field                        | Type      | Description                                                                                                   |
| ------------ | ---------------------------- | --------- | ------------------------------------------------------------------------------------------------------------- |
|              | data [*required*]       | object    | The JSON:API data.                                                                                            |
| data         | attributes [*required*] | object    | Attributes to get a list of incidents.                                                                        |
| attributes   | from                         | date-time | Minimum timestamp for requested events.                                                                       |
| attributes   | limit                        | int32     | Maximum number of events in the response.                                                                     |
| attributes   | query                        | string    | Search query with event platform syntax.                                                                      |
| attributes   | sort                         | string    | Sort order (prefixed with `-` for descending).                                                                |
| attributes   | to                           | date-time | Maximum timestamp for requested events.                                                                       |
| data         | type                         | enum      | The definition of `DORAListFailuresRequestDataType` object. Allowed enum values: `dora_failures_list_request` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "from": "2025-01-01T00:00:00Z",
      "limit": 500,
      "query": "severity:(SEV-1 OR SEV-2) env:(production OR staging) service:(shopist OR api-service OR payment-service) team:(backend OR platform OR payments)",
      "sort": "-started_at",
      "to": "2025-01-31T23:59:59Z"
    },
    "type": "dora_failures_list_request"
  }
}
```

{% /tab %}

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response for the list incidents endpoint.

| Parent field | Field                            | Type      | Description                                                                                                  |
| ------------ | -------------------------------- | --------- | ------------------------------------------------------------------------------------------------------------ |
|              | data                             | [object]  | The list of DORA incident events.                                                                            |
| data         | attributes                       | object    | The attributes of the incident event.                                                                        |
| attributes   | custom_tags                      | [string]  | A list of user-defined tags. The tags must follow the `key:value` pattern. Up to 100 may be added per event. |
| attributes   | env                              | string    | Environment name that was impacted by the incident.                                                          |
| attributes   | finished_at                      | date-time | The time when the incident finished.                                                                         |
| attributes   | git                              | object    | Git info for DORA Metrics events.                                                                            |
| git          | commit_sha [*required*]     | string    | Git Commit SHA.                                                                                              |
| git          | repository_url [*required*] | string    | Git Repository URL                                                                                           |
| attributes   | name                             | string    | Incident name.                                                                                               |
| attributes   | services                         | [string]  | Service names impacted by the incident.                                                                      |
| attributes   | severity                         | string    | Incident severity.                                                                                           |
| attributes   | started_at                       | date-time | The time when the incident started.                                                                          |
| attributes   | team                             | string    | Name of the team owning the services impacted.                                                               |
| attributes   | version                          | string    | Version to correlate with APM Deployment Tracking.                                                           |
| data         | id                               | string    | The ID of the incident event.                                                                                |
| data         | type                             | enum      | JSON:API type for DORA incident events. Allowed enum values: `dora_failure`                                  |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "attributes": {
        "custom_tags": [
          "incident_type:database",
          "department:engineering"
        ],
        "env": "production",
        "finished_at": "2023-08-31T14:31:14Z",
        "name": "Database outage",
        "services": [
          "shopist"
        ],
        "severity": "SEV-1",
        "started_at": "2023-08-31T14:29:34Z",
        "team": "backend"
      },
      "id": "4242fcdd31586085",
      "type": "dora_incident"
    },
    {
      "attributes": {
        "custom_tags": [
          "incident_type:service_down",
          "department:platform"
        ],
        "env": "production",
        "finished_at": "2023-08-31T14:34:34Z",
        "name": "API service outage",
        "services": [
          "api-service",
          "payment-service"
        ],
        "severity": "SEV-2",
        "started_at": "2023-08-31T14:32:54Z",
        "team": "backend"
      },
      "id": "4242fcdd31586086",
      "type": "dora_incident"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Not Authorized
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \## default
# 
 \# Use a Personal Access Token or Service Access Token export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"  \# Curl command curl -X POST "https://api.datadoghq.com/api/v2/dora/failures" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "from": "2025-01-01T00:00:00Z",
      "limit": 100,
      "query": "severity:(SEV-1 OR SEV-2) env:production team:backend",
      "sort": "-started_at",
      "to": "2025-01-31T23:59:59Z"
    },
    "type": "dora_failures_list_request"
  }
}
EOF 
                
{% /tab %}
